#
# spec file for package xmoto
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xmoto
Version:        0.5.11
Release:        2.3
Summary:        2D motocross platform game
License:        GPL-2.0+
Group:          Amusements/Games/Action/Other
Url:            http://xmoto.tuxfamily.org/
Source0:        http://download.tuxfamily.org/%{name}/%{name}/%{version}/%{name}-%{version}-src.tar.gz
Source1:        %{name}.appdata.xml
# PATCH-FIX-UPSTREAM xmoto-0.5.5-basedir.patch adam@mizerski.pl -- Fix implicit declaration of function 'mkdir'
Patch0:         %{name}-0.5.5-basedir.patch
# PATCH-FIX-OPENSUSE xmoto-nobuild_date.patch dimstar@opensuse.org -- Do not add build time and date: it's useless information
Patch100:       %{name}-nobuild_date.patch

BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  pkgconfig(SDL_net)
BuildRequires:  pkgconfig(SDL_ttf)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(ode)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(zlib)
Requires:       %{name}-data = %{version}

%description
X-Moto is a challenging 2D motocross platform game, where physics play
an all important role in the gameplay. You need to control your bike to
its limit, if you want to have a chance finishing the more difficult of
the challenges.  First you'll try just to complete the levels, while
later you'll compete with yourself and others, racing against the
clock.

%package data
Summary:        Xmoto architecture independent data
Group:          Amusements/Games/Action/Other
Requires:       %{name} = %{version}
BuildArch:      noarch

%description data
Xmoto translations and some other architecture independent data.

%prep
%setup -q
%patch0 -p1
%patch100 -p1
# Let's always use system's ode:
rm -rf src/ode
ln -s %{_includedir}/ode src/ode

%build
CXXFLAGS="%{optflags} -fno-strict-aliasing" \
%configure \
	--with-asian-ttf-file=%{_datadir}/fonts/truetype/bkai00mp.ttf \
	--with-internal-xdg=1
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%fdupes %{buildroot}%{_datadir}/locale
install -p -D -m 644 extra/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm
mkdir -p %{buildroot}%{_datadir}/appdata
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
%suse_update_desktop_file -i %{name}
%find_lang %{name}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6%{ext_man}
%{_datadir}/pixmaps/xmoto.xpm
%dir %{_datadir}/appdata
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop

%files data -f %{name}.lang
%defattr(-, root, root)
%{_datadir}/%{name}

%changelog
* Fri Jun 10 2016 dap.darkness@gmail.com
- COPYING installed.
* Thu May 26 2016 dap.darkness@gmail.com
- BuildRequires tags were fixed up (pkgconfig).
- Introduced data noarch subpackage.
- Prevented usage of bundled ode library.
* Sat May 21 2016 dimstar@opensuse.org
- Add xmoto-nobuild_date.patch: Do not add build date and time
  to the binaries.
* Thu May 19 2016 dimstar@opensuse.org
- Add appdata.xml file in order to show in Software Centers.
* Wed May 13 2015 tchvatal@suse.com
- Do not use _service to fetch the game but stick to upstream url
- Update to version 0.5.11:
  * Various small tweaks
- Drop obsolete patch:
  * xmoto-0.5.10-gcc47.patch
* Sat Jul 14 2012 joop.boonen@opensuse.org
- Build version 0.5.10
- Added a gcc 4.7 patch
- Cleaned the spec file up
* Sat Sep 24 2011 dbuck@example.com
- xmoto 0.5.7
  * fix a bug that make xmoto crashes
  * improve network performances
* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel building
- Strip %%clean section (not needed on BS)
* Tue Mar 29 2011 adam@mizerski.pl
- xmoto 0.5.6
  * dark background behind the chat messages
  * add ctrl+p to prefill chat box with previous private recipients
  * new options : --serverPort and --serverAdminPassword
  * server rules system (points in slave mode)
  * possibility to send a report on the website when a level crashes
  * monospace font for the admin console (DejaVuSansMono.ttf)
  * performances improvements (mainly for the server)
  * update munin plugins
  * fix some bugs (if you win and lost at exactly the same time, you lost)
- removed xmoto-0.5.3-libpng14.patch - fixed upstream
- cleaned up BuildRequires tags
- added FAKE_BUILDDATE and FAKE_BUILDTIME substitution
* Sat Mar 12 2011 adam@mizerski.pl
- xmoto 0.5.5
  * replay support for physics levels
  * improve network mode performances
  * private message support on network interface
  * several keys are now customizable via the options
  * GetPlayerProfileName script function is now deprecated
  * some minor fixes
- xmoto 0.5.4
  * Add a button in the network tab to join levels played by other people
  * Remove the downloading ghost screen (background download)
  * Add a button to watch the replay just after death or finish
  * Add a configuration checkbox to be able to connect to the server at startup
  * Add 2 configuration control keys to change the chat history
  * Display time required for the next medal in game
  * Completion for chat box and server console
  * Change default chineese font name from wqy-zenhei.ttf to wqy-zenhei.ttc
  * fix played time counted 2 times when using checkpoints
  * minor bugs fixed
* Sun Jul 18 2010 highwaystar.ru@gmail.com
- fixed build with libpng14
- xmoto 0.5.3
  * Ugly Mode heavily improved (Menu GFX and Scripted Sprites)
  * xdg-basedir implementation
  * bugfix: Compile with ode 0.11
  * bugfix: Rendering no more stalls on level restart
  * bugfix: Messages System (also for multiplayer)
  * bugfix: Multiplayer: Screen Shadow
  * bugfix: Multiplayer: Minimap
  * bugfix: Multiplayer: Time Panel & Game Status
  * bugfix: Multiplayer: Death Sound for all Players
  * bugfix: libode compatibility
  * bugfix: edge rendering order improved
  * bugfix: better Quickstart behaviour
  * graphics: Death Zones, Teleport Zones and Particles rendered in low level gfx modes
  * graphics: modes toggle by using F10
  * graphics: 3 graphics modes now: Contrast mode, light graphics, full graphics
  * graphics: animated textures
  * Checkpoints implementation
  * audio: new music foxrun
  * new level pack: Whatshisname Cup
  * control options: separate tabs for players
  * munin plugin
* Sat Oct 24 2009 cmorve69@yahoo.es
- xmoto 0.5.2
* Sun Apr  6 2008 sndirsch@suse.de
- xmoto 0.4.2
  * several rooms possible in configuration
  * option to remove levels not suitable for children
  * man page is no more gunzipped
  * AddPenaltyTime(), PlaySound(), PlayMusic(), StopMusic(),
    AddForceToPlayer(), SetCameraRotationSpeed() script functions
    (patches by gaivota)
  * ctrl + down/up in replays to adjust speed
  * --cleanNoWWWLevels to clean levels which are no longer available
    on the website (move them into ~/.xmoto/Trash)
  * biker interact with world when dead
  * fix layers while autozoom
  * major string printing speedup
  * some other minor modifications
  * dynamic camera while playing
* Sun Mar  9 2008 sndirsch@suse.de
- xmoto 0.4.1
  * remove svnversion dependency for compilation
  * fix .desktop file
  * fix sqlite troubles
  * some new options to make videos
  * ctrl+s : enable/disable sound
* Thu Feb  7 2008 sndirsch@suse.de
- xmoto 0.4.0
  * lot of code rewritten/cleaned
  * multi-threading (mainling for www connexions ; require that g++
    uses posix thread model (g++ -v to check))
  * chineese translation, ttf font is
    "/usr/share/fonts/truetype/arphic/bkai00mp.ttf", it can be
    changed via the configure script (--with-asian-ttf-file) ;
    (this font is required to be able to play if locale is cn_CN)
    => chineese translation is finally reported for 0.4.1
  * patch by Antti Harri and Lasse Collin (extracted from extreme
    tuxracer) to manage maximum texture size load
  * filter on list is for all columns
  * multiscenes mode for multiplayers (each player has his own
    scene)
  * ctrl+b to add/remove from blacklisted levels list
  * ctrl+m to use mirror mode
  * resource use reduced when xmoto is iconified or focus is lost
  * tab to autozoom
  * smoother replay interpolation
  * some command line options to generate pictures (so that you can
    convert easily replays to videos (transcode command line is
    written in the log))
  * new "length" packs by Mig
* Tue Nov 20 2007 sndirsch@suse.de
- xmoto 0.3.4
  * add a shadow to some text to make it more readable
  * crappy flag : crappy levels are hidden in the packs (but are
    visible in the crappy pack)
  * danish translation
  * bugs fixed
* Mon Nov 19 2007 sndirsch@suse.de
- another fix was necessary to build the package for gcc 4.3;
  credits go to Takashi Iwai
* Sat Nov 17 2007 sndirsch@suse.de
- gcc 4.3 fixes
* Fri Aug 10 2007 sndirsch@suse.de
- Buildrequires: removed bzip2; added libbz2-devel for web transfer
  compression
- make use of %%find_lang macro
* Tue Aug  7 2007 sndirsch@suse.de
- xmoto 0.3.2
  * improved internationalization
  * bugfixes
* Thu May 24 2007 sndirsch@suse.de
- use libode-devel for Buildrequires
* Fri Mar 23 2007 sndirsch@suse.de
- updated to release 0.2.7
  * add ghost while replaying
  * correct the second layer of static blocks
  * particle sources are no longer clipped out of the screen
  * man page fixed
  * and more bugs fixed ...
* Tue Mar 13 2007 sndirsch@suse.de
- updated to release 0.2.6
  * performances improved (better framerate)
  * SDL-GFX rendering in option (instead of OpenGL, beta code,
    16 bpp only)
  * a randomize button to puzzle any package list
  * you can associate a rpl to xmoto (ie xmoto replay.rpl play the
    rpl file)
  * filter on lists
  * problem with 64bits architecture should be fixed
  * texture of the level border can be changed
  * more options to draw the sky
  * you can associate a music to a level
  * mingw supported ; visual studio c++ no longer supported
  * votes from the website as packs (pack easiest levels, hardest
    levels, nicest levels)
  * Sprites of flowers, strawberries and wreckers can be changed
    specially for a level
  * sounds are themable
  * add support for multi layer (parallax scrolling) rendering
  * gettext for windows
  * adding levels and sprites from the website
  * some important bugs fixed
* Fri Dec 29 2006 sndirsch@suse.de
- updated to release 0.2.4
  * Much shorter start-up time.
  * Built-in levels are now a level pack.
  * Spanish and catalan translations.
  * xmoto-edit is no longer part of the main xmoto package.
  * Some changes on the user interface.
  * Virtual packages (random levels, etc).
  * "New levels" not cleared when you quit xmoto.
  * Favorite levels tab.
  * Misc. bug fixes and updates.
* Thu Oct 12 2006 sndirsch@suse.de
- updated to release 0.2.2
  * X-Moto is no more ALPHA!
  * ppc computer can now read and write x86 replays (patch by Dave
    Vasilevsky)
  * upload highscores from the game
  * webrooms configuration
  * Man pages (from debian package)
  * desktop files and icon for kde/gnome (by SnowBear)
  * -nowww option to force xmoto to not connect on the web
  * -testTheme option to test your themes
  * new functions for scripted levels
  * grip parameter for blocks (to make ice blocks for example)
  * auto-adaptation of the camera (depending on the gravity/wind)
  * uglier ugly mode (for slower computer; press F1 to switch ugly
    mode)
  * translations [french] (for unix only)
  * collision between body and sprites
  * level preview animation before playing (patch by Frederic
    Huard)
  * Some minor improvements
  * Several bugs fixed.
  * IMPORTANT: People with big-endian CPUs (PowerPC, etc) should
    clean their level cache when upgrading; that is, the first
    time you start the game, use the -cleancache command-line
    argument. Alternatively delete all files in your LCache/
    directory.
  * Minimap now visible in -ugly mode again.
  * Entity colors in -ugly mode adjusted.
  * F9 to toggle -ugly mode from inside the game, F10 to toggle
    theme testing mode.
  * More in-game options.
  * German translation (for unix only).
  * New built-in level.
  * Bug about undisplayed entities on big-endian computers
    corrected.
  * Some other bugs fixed.
* Fri Sep  8 2006 sndirsch@suse.de
- fixed build for SUSE 9.3
* Tue Aug  1 2006 sndirsch@suse.de
- updated to release 0.2.0
  * Yet a new version numbering policy: Last number incremented for
    bug-fix releases, middle one is even for official releases and
    uneven for development (CVS) versions.
  * No longer fancy ghost graphics in -ugly mode.
  * Ghost now visible on minimap.
  * New optional "rversion" <level> attribute, which allows level
    designers to specify the X-Moto version required to play a level.
  * Bug with in-game ghost information display fixed.
  * Player statistics.
  * New textures, sprites, and edge effects (RedBricks, GrayBricks,
    and BlueBricks).
  * You can now keep the up and down arrows of lists pressed to list
    the levels.
  * Various new script functions (see MotoGameL.cpp for details).
  * Added dependency for libbz2 (for web transfer compression).
  * Menu music and new sound effects by Jens Erler.
  * More graphics.
  * Better collision detection. Bike behaviour is affected slightly.
  * Custom themes (replacable graphics).
  * Press character keys to quickly navigate through level lists.
  * Several minor improvements and some bugs fixed.
  * Joystick patch by Christoph Sommer applied.
* Fri Jun 16 2006 sndirsch@suse.de
- updated to release 0.1.16
  * Ghost replays while playing.
  * Game should work with AMD64 again now. The long standing
    corrupted fonts in editor-bug on AMD64 has also been fixed.
  * Automatic list of screen resolutions (patch by Emmanuel
    Gorse).
  * Scripted levels are now recordable.
  * PreDraw() in script is not good because it depends on
    framerate, use Tick() instead.
  * Hitting "return" while playing now restarts the level
    immediately.
  * A sound is played when you make a new highscore.
  * Optional automatic saving of replays if it's a highscore.
  * Mouse buttons can now be used to control the bike.
  * A button to view a highscore's replay easily, and downloads
    it if it is missing.
  * Updated to support the new Lua 5.1.
  * Faster scanning of replays.
  * Game no longer crashes if a level is using an unknown
    texture.
  * Some bugs fixed.
  * Editor: Supports use of &lt; and &gt; instead of < and > in
    embedded scripts.
* Fri May 19 2006 sndirsch@suse.de
- updated to release 0.1.14
  * New version numbering policy: If the last number is even it's
  a stable X-Moto release, otherwise it's an unstable development
  version (from CVS).
  * Major bug in the player head/entity collision detection code fixed.
  * Level files are now cached for much faster loading time.
  * Integration with Nicolas Adenis-Lamarre's website; World records
  can now be seen inside the game, and new levels can be downloaded
  automatically.
  * New (optional) library dependency: libcurl. If library isn't found
  by ./configure, the online high-score system is disabled, so please
  install libcurl (version 3) before upgrading to X-Moto 0.1.14.
  (This does not affect X-Moto on Windows, libcurl is included with
  the game there).
  * Slight physics adjustment: It should no longer be possible to fall
  through the ground when standing still. Stay calm, this should NOT
  affect the gameplay.
  * Alpha-testing enabled for sprites; which are less fuzzy looking
  now. Also looks better with anti-aliasing.
  * Lots of new UI stuff, including context help.
  * It's now possible to see what level you're playing.
  * Less retarded usage of SDL_Delay(), UI more responsive.
  * Fixed bug that made it difficult to click tabs in level info
  viewer.
  * "Next Level" button also for external levels now.
  * 8 new built-in levels, including 4 by Torben Green, and one by
  Thomas Kjaerulff.
  * More control over playback of replays: Up/down to increase/decrease
  speed and space to pause.
  * External levels ordered alphabetically.
  * Automatic replay naming.
  * Various minor changes and several other small bugs fixed.
  * Windows specific: Upgraded to SDL 1.2.10 and SDL_mixer 1.2.7.
* Sat Apr 15 2006 sndirsch@suse.de
- updated to release 0.1.12
  * Fixed a bug that prevented the game from compiling with g++ 4.1.
  * Removed unfinished joystick configuration interface from the
    menu.
  * New LUA (script) functions. See src/MotoGameL.cpp for details.
  * Files in xmoto.bin are now prioritized lower when loading.
  * Tutorials updated.
  * New built-in levels.
  * Scripts can now be encapsulated directly in .lvl-files.
  * Now you'll see an icon beside the clock, indicating the the
    current objective.
  * Added a "Next Level" button to the in-game menus.
  * You can now have several levels of sub-directories in your
    Levels/ directory.
  * Introduced the concept of "level packs", i.e. logical
    groupings of levels. The tutorials are now considered a
    level pack. Note that levels which are in a level pack can't
    be seen in the "External Levels" list.
  * Various minor changes and some small bugs fixed.
* Thu Feb 16 2006 stbinner@suse.de
- add GenericName to .desktop file
* Mon Feb  6 2006 sndirsch@suse.de
- updated to release 0.1.11
  * Major optimization of collision detection. The framerate should
    be many-doubled when playing geometry-heavy levels.
  * Game no longer quits if a level specified by the user or a
    replay isn't found.
  * Made a change that hopefully should make mouse movement less
    inresponsive on some systems.
  * Integrated a patch by Eric Piel that makes the game play more
    smooth, most notable on lower end systems.
  * Added a (hopefully) better set of build configuration scripts,
    also by Eric Piel. Please notify me if some compatibility is
    broken by this, and I'll try to fix it as fast as possible.
  * New -benchmark option to play with.
  * The user is now warned if he's entering a level with
    geometrical errors.
  * The -replay option now accepts replays regardless of their
    location.
  * It should now longer be possible to move head through level
    geometry at high speed or by flipping.
  * A couple of new built-in levels.
  * Level limits are now not invisible when using -ugly.
  * Various minor changes and several small bugs fixed.
* Sun Jan 29 2006 coolo@suse.de
- fix BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Dec  3 2005 sndirsch@suse.de
- updated to release 0.1.10
  * Nasty (and very stupid) bug that prevented new replays
  from being shown, has been fixed.
  * Spamming your console is no longer default behaviour.
  If you want to enable it, use the new -v command-line
  option.
  * Log messages are now written to xmoto.log (also on
  Windows, so there's no longer a stdout.txt).
  * Fixed an bug that prevented the game from compiling
  on Mac OS X (thanks again Maxime Biais).
  * The game now defaults to listing all levels, not only
  the ones made by the current player.
* Thu Dec  1 2005 sndirsch@suse.de
- updated to release 0.1.9
* Wed Nov 16 2005 sndirsch@suse.de
- updated to current CVS (2005-11-17)
  * Better handling of events in replays (for instance,
    picked-up strawberries are no longer gone when
    rewinding).
  * Applied MacOS X patch by Maxime Biais.
  * Replays can no longer be recorded for levels that
    include scripting.
  * Older releases will not be able to read the new
    replays, but this version can read old replays
    without any problems (in which case the new event
    features will be missing).
  * Faster building procedure on Windows.
  * New built-in levels, one of them by Clive Crous.
  * New tutorial levels. These are now considered external
    levels, so you'll find them under that tab.
  * Smoother playback of replays.
  * Note that I have given up ordering the built-in levels
    by difficulty. The current order will be kept until
    beta.
* Sat Nov 12 2005 sndirsch@suse.de
- updated to current CVS (2005-11-12)
  * Added a level information viewing user interface,
    including in-menu shortcuts to best times and replays
    for a specific level.
  * Fixed a bug that caused the game to misbehave if
    escape was pressed while entering the name of a replay
    to save.
* Fri Nov 11 2005 sndirsch@suse.de
- fixed build on various archs
* Thu Nov 10 2005 sndirsch@suse.de
- created package
